<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_212-release) on Mon Jul 13 14:38:19 CEST 2020 -->
<title>G-Index</title>
<meta name="date" content="2020-07-13">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">X</a>&nbsp;<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/api/error/ClayErrorMessage.html#GENERIC_ERROR">GENERIC_ERROR</a></span> - Static variable in class com.myclay.claysdk.api.error.<a href="../com/myclay/claysdk/api/error/ClayErrorMessage.html" title="class in com.myclay.claysdk.api.error">ClayErrorMessage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/internal/keystore/ClayKeystoreWrapper.html#getCipher--">getCipher()</a></span> - Method in class com.myclay.claysdk.internal.keystore.<a href="../com/myclay/claysdk/internal/keystore/ClayKeystoreWrapper.html" title="class in com.myclay.claysdk.internal.keystore">ClayKeystoreWrapper</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/internal/keystore/IClayKeystoreWrapper.html#getCipher--">getCipher()</a></span> - Method in interface com.myclay.claysdk.internal.keystore.<a href="../com/myclay/claysdk/internal/keystore/IClayKeystoreWrapper.html" title="interface in com.myclay.claysdk.internal.keystore">IClayKeystoreWrapper</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/api/error/ClayException.html#getErrorCode--">getErrorCode()</a></span> - Method in exception com.myclay.claysdk.api.error.<a href="../com/myclay/claysdk/api/error/ClayException.html" title="class in com.myclay.claysdk.api.error">ClayException</a></dt>
<dd>
<div class="block">Getter for the errorCode property</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/internal/Config.html#getKeyAlgorithmRSA--">getKeyAlgorithmRSA()</a></span> - Static method in class com.myclay.claysdk.internal.<a href="../com/myclay/claysdk/internal/Config.html" title="class in com.myclay.claysdk.internal">Config</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/internal/keystore/ClayKeystoreWrapper.html#getKeyForAlias-java.lang.String-">getKeyForAlias(String)</a></span> - Method in class com.myclay.claysdk.internal.keystore.<a href="../com/myclay/claysdk/internal/keystore/ClayKeystoreWrapper.html" title="class in com.myclay.claysdk.internal.keystore">ClayKeystoreWrapper</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/internal/keystore/ClayKeystoreWrapper.html#getKeystore--">getKeystore()</a></span> - Method in class com.myclay.claysdk.internal.keystore.<a href="../com/myclay/claysdk/internal/keystore/ClayKeystoreWrapper.html" title="class in com.myclay.claysdk.internal.keystore">ClayKeystoreWrapper</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/internal/keystore/IClayKeystoreWrapper.html#getKeystore--">getKeystore()</a></span> - Method in interface com.myclay.claysdk.internal.keystore.<a href="../com/myclay/claysdk/internal/keystore/IClayKeystoreWrapper.html" title="interface in com.myclay.claysdk.internal.keystore">IClayKeystoreWrapper</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/internal/ClaySDKLog.html#getLocalizedMessage-java.lang.Exception-">getLocalizedMessage(Exception)</a></span> - Static method in class com.myclay.claysdk.internal.<a href="../com/myclay/claysdk/internal/ClaySDKLog.html" title="class in com.myclay.claysdk.internal">ClaySDKLog</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/internal/shared_preferences/ISharedPreferences.html#getPrivateKey-java.lang.String-">getPrivateKey(String)</a></span> - Method in interface com.myclay.claysdk.internal.shared_preferences.<a href="../com/myclay/claysdk/internal/shared_preferences/ISharedPreferences.html" title="interface in com.myclay.claysdk.internal.shared_preferences">ISharedPreferences</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/internal/shared_preferences/SDKSharedPreferences.html#getPrivateKey-java.lang.String-">getPrivateKey(String)</a></span> - Method in class com.myclay.claysdk.internal.shared_preferences.<a href="../com/myclay/claysdk/internal/shared_preferences/SDKSharedPreferences.html" title="class in com.myclay.claysdk.internal.shared_preferences">SDKSharedPreferences</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/api/IClaySDK.html#getPublicKey--">getPublicKey()</a></span> - Method in interface com.myclay.claysdk.api.<a href="../com/myclay/claysdk/api/IClaySDK.html" title="interface in com.myclay.claysdk.api">IClaySDK</a></dt>
<dd>
<div class="block">Returns the BASE64 encoding of the PublicKey generated in the initialization step of the SDK</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/internal/ClaySDK.html#getPublicKey--">getPublicKey()</a></span> - Method in class com.myclay.claysdk.internal.<a href="../com/myclay/claysdk/internal/ClaySDK.html" title="class in com.myclay.claysdk.internal">ClaySDK</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/internal/Config.html#getStandardCharsetISO--">getStandardCharsetISO()</a></span> - Static method in class com.myclay.claysdk.internal.<a href="../com/myclay/claysdk/internal/Config.html" title="class in com.myclay.claysdk.internal">Config</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/internal/Config.html#getStandardCharsetUTF8--">getStandardCharsetUTF8()</a></span> - Static method in class com.myclay.claysdk.internal.<a href="../com/myclay/claysdk/internal/Config.html" title="class in com.myclay.claysdk.internal">Config</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/myclay/claysdk/api/error/ClayErrorCode.html#getValue--">getValue()</a></span> - Method in enum com.myclay.claysdk.api.error.<a href="../com/myclay/claysdk/api/error/ClayErrorCode.html" title="enum in com.myclay.claysdk.api.error">ClayErrorCode</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">O</a>&nbsp;<a href="index-15.html">P</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">X</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
